<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: findv.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
<h1>findv.c</h1><a href="findv_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of PolyLib.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    PolyLib is free software: you can redistribute it and/or modify</span>
<a name="l00005"></a>00005 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00006"></a>00006 <span class="comment">    the Free Software Foundation, either version 3 of the License, or</span>
<a name="l00007"></a>00007 <span class="comment">    (at your option) any later version.</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    PolyLib is distributed in the hope that it will be useful,</span>
<a name="l00010"></a>00010 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00011"></a>00011 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00012"></a>00012 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00015"></a>00015 <span class="comment">    along with PolyLib.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span>
<a name="l00016"></a>00016 <span class="comment">*/</span>
<a name="l00017"></a>00017 
<a name="l00018"></a>00018 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
<a name="l00019"></a>00019 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
<a name="l00020"></a>00020 
<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;<a class="code" href="polylib_8h.html">polylib/polylib.h</a>&gt;</span>
<a name="l00022"></a>00022 
<a name="l00023"></a><a class="code" href="findv_8c.html#ae66f6b31b5ad750f1fe042a706a4e3d4">00023</a> <span class="keywordtype">int</span> <a class="code" href="c2p_8c.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a>() {
<a name="l00024"></a>00024 
<a name="l00025"></a>00025   <a class="code" href="structmatrix.html">Matrix</a> *a, *b;
<a name="l00026"></a>00026   <a class="code" href="structpolyhedron.html">Polyhedron</a> *A, *B;
<a name="l00027"></a>00027   <a class="code" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *PA;
<a name="l00028"></a>00028   <span class="keyword">const</span> <span class="keywordtype">char</span> **param_name;
<a name="l00029"></a>00029   
<a name="l00030"></a>00030   a = <a class="code" href="matrix_8c.html#a3a087ae9a03d5baf0b81831177931143">Matrix_Read</a>();
<a name="l00031"></a>00031   A = <a class="code" href="polyhedron_8c.html#aefb77665a187d751bdd44f106b12465e" title="Given a matrix of constraints (&amp;#39;Constraints&amp;#39;), construct and return a polyhedron...">Constraints2Polyhedron</a>(a,200);
<a name="l00032"></a>00032   <a class="code" href="matrix_8c.html#afcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a>(a);
<a name="l00033"></a>00033   
<a name="l00034"></a>00034   b = <a class="code" href="matrix_8c.html#a3a087ae9a03d5baf0b81831177931143">Matrix_Read</a>();
<a name="l00035"></a>00035   B = <a class="code" href="polyhedron_8c.html#aefb77665a187d751bdd44f106b12465e" title="Given a matrix of constraints (&amp;#39;Constraints&amp;#39;), construct and return a polyhedron...">Constraints2Polyhedron</a>(b,200);
<a name="l00036"></a>00036   <a class="code" href="matrix_8c.html#afcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a>(b);
<a name="l00037"></a>00037   
<a name="l00038"></a>00038   <span class="comment">/* Read the name of the parameters */</span>
<a name="l00039"></a>00039   param_name = <a class="code" href="param_8c.html#ac5f556f34173ebc8815247ee7f4e2a0b">Read_ParamNames</a>(stdin,B-&gt;<a class="code" href="structpolyhedron.html#a2a02cea8b7ba3dde415041b8b2373bc8">Dimension</a>);  
<a name="l00040"></a>00040   PA = <a class="code" href="polyparam_8c.html#a337084d0cc59e1fda9998c81f8c68919">Polyhedron2Param_Vertices</a>(A,B,500);  
<a name="l00041"></a>00041   <a class="code" href="polyparam_8c.html#ac28d8499be5ff29e4ff8149bbe53c5df">Param_Vertices_Print</a>(stdout,PA-&gt;<a class="code" href="struct__Param__Polyhedron.html#a183b47f3f8b8c27079a840c934e7b972">V</a>,param_name);
<a name="l00042"></a>00042   <a class="code" href="polyhedron_8c.html#ae6d0a7daf8e801a777fc8e93d8cfe43a">Domain_Free</a>(A);
<a name="l00043"></a>00043   <a class="code" href="polyhedron_8c.html#ae6d0a7daf8e801a777fc8e93d8cfe43a">Domain_Free</a>(B);
<a name="l00044"></a>00044   <a class="code" href="polyparam_8c.html#a499deb4842822ae8ae58ed1fdf079c88">Param_Polyhedron_Free</a>( PA );
<a name="l00045"></a>00045   free(param_name);
<a name="l00046"></a>00046   <span class="keywordflow">return</span> 0;
<a name="l00047"></a>00047 } <span class="comment">/* main */</span>
<a name="l00048"></a>00048 
<a name="l00049"></a>00049 
<a name="l00050"></a>00050 
</pre></div></div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:25 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
